import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
			'https://gist.githubusercontent.com/',
  		'tharun112/',
  		'42df5b9d41b5323229b1396d04d1111a/',
      'raw/bd1728f1058d3a1fbe2da9747fb4184fcc7ab29f/',
      'Dog_breed.csv',
].join('');
const parseRow = (d) => {
  d.max_height_male = +d.max_height_male;
  d.min_height_male = +d.min_height_male;
  d.max_height_female = +d.max_height_female;
  d.min_height_female = +d.min_height_female;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.min_height_female)
      .yValue((d) => d.max_height_male)
      .symbolValue((d) => d.Name)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .size(100)
  );
};
main();
